%bcond_without check

%global goipath         k8s.io/klog
%global forgeurl        https://github.com/kubernetes/klog
Version:                2.10.0

%gometa

%global goaltipaths      k8s.io/klog/v2

%global common_description %{expand:
This is an efficient pure Go implementation of leveled logs in the manner of the
open source C++ package}

%global golicenses      LICENSE
%global godocs          examples CONTRIBUTING.md README.md RELEASE.md code-\\\
                        of-conduct.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Leveled execution logs for Go

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Patch0:         4171f3c1be1b60901704dfbd140b9f03161427b1.patch
Patch1:         https://github.com/kubernetes/klog/commit/8ee3d652c96bc3d9ce1075b2350e23fe2a910c76.patch
Patch2:         https://patch-diff.githubusercontent.com/raw/kubernetes/klog/pull/204.patch

BuildRequires:  golang(github.com/go-logr/logr)
BuildRequires:  golang(github.com/golang/glog)
BuildRequires:  golang(golang.org/x/exp/utf8string)
BuildRequires:  golang(golang.org/x/tools/go/analysis)
BuildRequires:  golang(golang.org/x/tools/go/analysis/singlechecker)

%if %{with check}
BuildRequires:  golang(golang.org/x/tools/go/analysis/analysistest)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch -P0 -p1
%patch -P1 -p1
%patch -P2 -p1

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Tue Sep 03 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10.0-1
- initial build
